<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];


$idRegistroChave          = $_POST['idRegistroChave'];
$idGrupoProcedimentoOCI   = $_POST['idGrupoProcedimentoOCI'];
$idProcedimentoOCI        = $_POST['idProcedimentoOCI'];
$idProcedimentoAssociado  = $_POST['idProcedimentoAssociado'];
$procedimentoObrigatorio  = $_POST['procedimentoObrigatorio'];

if($idRegistroChave==""){
  //VERIFICAR SE EXISTE SOLICITAÇÃO PENDENTE DO MESMO PACIENTE E MESMO PROCEDIMENTO
  $sqlValidaExistencia = "SELECT id_automatico_chave 
    FROM reg_tb_procedimentos_oci 
    WHERE (id_procedimento_associado='$idProcedimentoAssociado')
    AND (id_procedimento_oci='$idProcedimentoOCI')";
  $stmProcedimentoExiste  = $rsConexao->prepare($sqlValidaExistencia);
  $stmProcedimentoExiste->execute();
  $registrosExistentes    = $stmProcedimentoExiste->rowCount();

  if ($stmProcedimentoExiste->rowCount() > 0) {
    echo "jáExiste";
    exit;
  }
  $sqlProcedimento  = "INSERT INTO reg_tb_procedimentos_oci(
    id_grupo_procedimento,
    id_procedimento_oci,
    id_procedimento_associado,
    procedimento_obrigatorio
  )VALUES(
    :setGrupoProcedimento,
    :setIdProcedimentoOCI,
    :setIdProcedimentoAssociado,
    :setProcedimentoObrigatorio
  )";
}else{
  $sqlProcedimento  = "UPDATE reg_tb_procedimentos_oci SET
    id_grupo_procedimento=:setGrupoProcedimento,
    id_procedimento_oci=:setIdProcedimentoOCI,
    id_procedimento_associado=:setIdProcedimentoAssociado,
    procedimento_obrigatorio=:setProcedimentoObrigatorio
    WHERE id_automatico_chave='$idRegistroChave'";

}

$stmAddProcedimento  = $rsConexao->prepare($sqlProcedimento);
$stmAddProcedimento->bindParam(":setGrupoProcedimento", $idGrupoProcedimentoOCI, PDO::PARAM_STR);
$stmAddProcedimento->bindParam(":setIdProcedimentoOCI", $idProcedimentoOCI, PDO::PARAM_STR);
$stmAddProcedimento->bindParam(":setIdProcedimentoAssociado", $idProcedimentoAssociado, PDO::PARAM_STR);
$stmAddProcedimento->bindParam(":setProcedimentoObrigatorio", $procedimentoObrigatorio, PDO::PARAM_STR);
$stmAddProcedimento->execute();

//******* carregar lista atualizada *******/  
$sqlProcedimentoAssociado = "SELECT reg_tb_procedimentos_oci.id_automatico_chave,
reg_tb_procedimento.codigo_sus,
ucase(reg_tb_procedimento.nome_procedimento) AS nomeProcedimento,
reg_tb_procedimentos_oci.procedimento_obrigatorio,
reg_tb_procedimentos_oci.id_procedimento_associado
FROM reg_tb_procedimento 
INNER JOIN reg_tb_procedimentos_oci ON (reg_tb_procedimento.id_procedimento = reg_tb_procedimentos_oci.id_procedimento_associado)
WHERE (id_procedimento_oci='$idProcedimentoOCI')
ORDER BY reg_tb_procedimentos_oci.id_automatico_chave ASC";
$stmProcedimentoAssociado = $rsConexao->prepare($sqlProcedimentoAssociado);
$stmProcedimentoAssociado->execute();
if ($stmProcedimentoAssociado->rowCount() > 0) {
  $rsProcedimentoAssociado  = $stmProcedimentoAssociado->fetchAll(PDO::FETCH_ASSOC);
  foreach ($rsProcedimentoAssociado as $fieldProcedimentoAssociado) {
    $idRegistroChave  = $fieldProcedimentoAssociado['id_automatico_chave'];
    $idProcedimentoAssociado = $fieldProcedimentoAssociado['id_procedimento_associado'];
    $codigoSUS        = $fieldProcedimentoAssociado['codigo_sus'];
    $nomeProcedimento = $fieldProcedimentoAssociado['nomeProcedimento'];
    $procedimentoObrigatorio = $fieldProcedimentoAssociado['procedimento_obrigatorio']=="S" ? "SIM" : "NÃO";
    $eObrigatorio     = $fieldProcedimentoAssociado['procedimento_obrigatorio'];
    $linkExcluirItem  = '"excluirItemLista(' . "'$idRegistroChave')" . '"';
    $linkEditarProcedimento  = '"editarProcedimentoOCI(' . "'$idRegistroChave##$idProcedimentoAssociado##$nomeProcedimento##$eObrigatorio')" . '"';
    echo "<tr>
      <td style='text-align:center; font-size:9pt; width:8%'>
        <i class='icofont icofont-edit nova_fonte' title='Editar procedimento.' onclick=$linkEditarProcedimento></i>&nbsp;      
        <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir item da lista.' onclick=$linkExcluirItem></i>
      </td>
      <td style='text-align:center; font-size:9pt;width:8%'>$codigoSUS</td>
      <td style='font-size:9pt'>$nomeProcedimento</td>
      <td style='font-size:9pt; text-align:center'>$procedimentoObrigatorio</td>
    </tr>";
  }
}
//**************************************************** */
